List project registration types
GET
/api/registration/for-project
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/registration/for-project"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/registration/for-project';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/registration/for-project \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”projectid
string format: uuid
The project identifier.
Responses
Section titled “Responses”OK
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
code
null | string
displayName
null | string
kind
status
completionType
integer
hasForms
boolean
hasTicket
boolean
useEventCost
boolean
registrationIsRequired
boolean
isTransferrable
boolean
canCancel
boolean
cancelByDate
null | string format: date-time
canAutoRefund
boolean
autoRefundByDate
null | string format: date-time
minutesAllowedInCart
null | integer | string format: int32
preAllocated
boolean
price
null | integer | string format: int32
currency
null | string
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
totalPaid
null | integer | string format: int32
quantity
null | integer | string format: int32
openDate
null | string format: date-time
closeDate
null | string format: date-time
publish
boolean
isLocked
boolean
ticketLock
boolean
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
allowGroupReg
boolean
requirePayment
boolean
allowTicketSelection
boolean
isResponseMasterTicket
boolean
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
useSysPayment
boolean
paymentType
string
usePaymentCode
boolean
requireRegistrationCode
boolean
isFacilitator
boolean
cancellationType
approvalKind
itemOrder
integer | string format: int32
hasChecklist
boolean
hasMetaFields
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
sort
null | string
object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
code
null | string
displayName
null | string
kind
status
completionType
integer
hasForms
boolean
hasTicket
boolean
useEventCost
boolean
registrationIsRequired
boolean
isTransferrable
boolean
canCancel
boolean
cancelByDate
null | string format: date-time
canAutoRefund
boolean
autoRefundByDate
null | string format: date-time
minutesAllowedInCart
null | integer | string format: int32
preAllocated
boolean
price
null | integer | string format: int32
currency
null | string
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
totalPaid
null | integer | string format: int32
quantity
null | integer | string format: int32
openDate
null | string format: date-time
closeDate
null | string format: date-time
publish
boolean
isLocked
boolean
ticketLock
boolean
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
allowGroupReg
boolean
requirePayment
boolean
allowTicketSelection
boolean
isResponseMasterTicket
boolean
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
useSysPayment
boolean
paymentType
string
usePaymentCode
boolean
requireRegistrationCode
boolean
isFacilitator
boolean
cancellationType
approvalKind
itemOrder
integer | string format: int32
hasChecklist
boolean
hasMetaFields
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
sort
null | string
Example
{ "data": [ { "kind": "Attendee", "status": "NotAvailable", "cancellationType": "ApprovalRequired", "approvalKind": "Automatic" } ], "sortDir": "Asc", "request": { "sortDir": "Asc" }}object
page
null | integer | string format: int64
itemsPerPage
null | integer | string format: int64
continuationToken
null | string
cacheToken
null | string
count
integer | string format: int64
numberOfPages
integer | string format: int64
data
Array<object> | null
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
description
null | string
code
null | string
displayName
null | string
kind
status
completionType
integer
hasForms
boolean
hasTicket
boolean
useEventCost
boolean
registrationIsRequired
boolean
isTransferrable
boolean
canCancel
boolean
cancelByDate
null | string format: date-time
canAutoRefund
boolean
autoRefundByDate
null | string format: date-time
minutesAllowedInCart
null | integer | string format: int32
preAllocated
boolean
price
null | integer | string format: int32
currency
null | string
amountPerToHio
null | integer | string format: int32
amountPerToUser
null | integer | string format: int32
totalPaid
null | integer | string format: int32
quantity
null | integer | string format: int32
openDate
null | string format: date-time
closeDate
null | string format: date-time
publish
boolean
isLocked
boolean
ticketLock
boolean
requireEmailAddress
boolean
requireMobile
boolean
requirePersonalInfo
boolean
requirePersonalContact
boolean
requireBusinessInfo
boolean
requireBusinessContact
boolean
requireEmergencyContact
boolean
requireAlternateContact
boolean
requireGroupReg
boolean
allowGroupReg
boolean
requirePayment
boolean
allowTicketSelection
boolean
isResponseMasterTicket
boolean
maxTickets
null | integer | string format: int32
minTickets
null | integer | string format: int32
useSysPayment
boolean
paymentType
string
usePaymentCode
boolean
requireRegistrationCode
boolean
isFacilitator
boolean
cancellationType
approvalKind
itemOrder
integer | string format: int32
hasChecklist
boolean
hasMetaFields
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
imageUrl
null | string
imageAssetId
null | string format: uuid
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string
sort
null | string
Example
{ "data": [ { "kind": "Attendee", "status": "NotAvailable", "cancellationType": "ApprovalRequired", "approvalKind": "Automatic" } ], "sortDir": "Asc", "request": { "sortDir": "Asc" }}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}